#!/usr/local/bin/perl

# $Header: /cys/people/brenner/http/docs/web/RCS/simple-form.cgi,v 1.4 1996/03/29 22:07:56 brenner Exp $
# Copyright (C) 1994 Steven E. Brenner
# This is a small demonstration script to demonstrate the use of 
# the cgi-lib.pl library

require "cgi-lib.cgi";
require "tzr-lib.cgi";

MAIN:
{
   # Read in all the variables set by the form
   &ReadParse(*input);

   #Setup Mail File Handle

   # Print the header
   print &PrintHeader;

   $site_list_dir = ".";

   $remoteip = &GetRemoteAddr;

   $banned = 0;
   open(BANNED, "<$site_list_dir/banned.lst");
   while (<BANNED>) {
      chop;
      if ($remoteip eq $_) {
         $banned = 1;
      }
   }
   close(BANNED);

if ($banned == 0) {
print <<ENDOFTEXT;
<html>
<head>
<title>Site Entry</title>
</head>

<BODY TEXT="#FFFF99" BGCOLOR="#000000" LINK="#FF9900" VLINK="#CC66CC" ALINK="#3366FF">
<HR>

<FONT COLOR="#FF6666"><FONT SIZE=+1>Please Read and Follow These
Directions:</FONT></FONT>
<BR><FONT COLOR="#FFFF99">1.</FONT><FONT COLOR="#FF6666"> </FONT><FONT COLOR="#00CC00">DO
NOT</FONT><FONT COLOR="#66FF99"> bother adding "%20%20" or "&lt;2 sp>"
to a directory. Enter a directory as you would if you were changing to
that directory via FTP.</FONT>
<BR><FONT COLOR="#FFFF99">2.</FONT><FONT COLOR="#FF6666"> </FONT><FONT COLOR="#00CC00">DO
NOT</FONT><FONT COLOR="#66FF99"> enter "ftp://" or "username\@password"
or "username\@password:portnum", etc. for the FTP site address or directory.
This has been taken care of by the script. Just enter the address and nothing
else.</FONT>
<BR><FONT COLOR="#FFFF99">3.</FONT><FONT COLOR="#FF6666"> </FONT><FONT COLOR="#00CC00">DO
NOT</FONT><FONT COLOR="#66FF99"> enter a port value for sites that exist
on port 21. This is the default port for ftp and is not needed.</FONT>
<BR><FONT COLOR="#FFFF99">4.</FONT><FONT COLOR="#FF6666"> </FONT><FONT COLOR="#00CC00">DO
NOT</FONT><FONT COLOR="#66FF99"> enter the account "anonymous" or "ftp"
for the login. The "Login" and "Password" fields should be left blank for
anonymous FTP. Only enter a login and password if one is required to get
into the site.</FONT>
<BR><FONT COLOR="#FFFF99">5.</FONT><FONT COLOR="#FF6666"> </FONT><FONT COLOR="#00CC00">DO
NOT</FONT><FONT COLOR="#66FF99"> enter bogus FTP site addresses or directories.</FONT>
<BR><FONT COLOR="#FFFF99">6.</FONT><FONT COLOR="#FF6666"> </FONT><FONT COLOR="#00CC00">DO
NOT</FONT><FONT COLOR="#FF6666"> </FONT><FONT COLOR="#66FF99">enter bogus
login accounts and passwords.</FONT>
<BR><FONT COLOR="#FFFF99">7.</FONT><FONT COLOR="#FF6666"> </FONT><FONT COLOR="#00CC00">DO
NOT</FONT><FONT COLOR="#66FF99"> enter HTTP sites. If it's a FTP site,
with an address "www.mysite.com", and can be FTPed using the program "ftp",
then the site is ok to submit.</FONT>
<BR><FONT COLOR="#FFFF99">8.</FONT><FONT COLOR="#FF6666"> </FONT><FONT COLOR="#66FF99">Enter
valid descriptions, or enter no description at all.&nbsp; Do not enter
bogus or stupid descriptions that have no meaning or relationship with
the FTP site submitted.</FONT>
<BR><FONT COLOR="#FFFF99">9.</FONT><FONT COLOR="#FF6666"> </FONT><FONT COLOR="#66FF99">Fail
to follow these rules and you </FONT><FONT COLOR="#00CC00">WILL BE BANNED</FONT><FONT COLOR="#66FF99">
without warning or second chances. Obey the rules </FONT><FONT COLOR="#66FF99">and there will be cool site up access and enjoy,
and everyone will be happy.</FONT>
<BR><FONT COLOR="#66FF99"></FONT>
<BR>

<form method="POST" action="w_submit.cgi">
  <table border="0" width=350>
    <tr>
      <td width=350><table border="0" width=350>
        <tr>
          <td width=125>Login</td>
          <td width=125>Password</td>
          <td width=100>Port #</td>
        </tr>
        <tr>
          <td width=125><input type="text" name="login" size="10"></td>
          <td width=125><input type="text" name="password" size="10"></td>
          <td width=100><input type="text" name="portnum" size="5"></td>
        </tr>

      </table>
      </td>
    </tr>

    <tr>
      <td width=350><table border="0" width=350>
        <tr>
          <td width=350>Site Address</td>
        </tr>
        <tr>
          <td width=350><input type="text" name="address" size=40></td>
        </tr>
      </table>
      </td>
    </tr>

    <tr>
      <td width=350><table border="0" width=350>
        <tr>
          <td width=350>Site Directory</td>
        </tr>
        <tr>
          <td width=350><input type="text" name="directory" size=40></td>
        </tr>
      </table>
      </td>
    </tr>

    <tr>
      <td width=350><table border="0" width=350>
        <tr>
          <td width=350>Description</td>
        </tr>

        <tr>
          <td width=350><textarea rows="4" name="description" cols="40"></textarea></td>
        </tr>
      </table>
      </td>
    </tr>

    <tr>
      <td width=350><table border="0" width=350>
        <tr>
          <td width=350><input type="submit" value="Submit" name="submit"> <input type="reset" value="Clear" name="clear"></td>
        </tr>
      </table>
      </td>
    </tr>
   </table>
</form>

</body>
</html>
ENDOFTEXT

   $dstore = "";
   open(FTP_LIST, "<$site_list_dir/ftp_list.dat");
   while(<FTP_LIST>) {
      @dlist = (@dlist, $_);
   }
   close(FTP_LIST);

   open(CDATE, "date +'%c'|");
   while(<CDATE>) {
      chop;
      $cdate = $_;
   }
   close(CDATE);

   print "FTP Site List - Current Date/Time, $cdate<BR>\n";

   while(@dlist) {
      $data = pop(@dlist);
      ($date, $time, $ipsubmit, $address, $directory, $http_dir, $disp_dir, $login, $password, $portnum, $description) = split("", $data);

      $description =~ s/</&lt;/g;
      $description =~ s/</&gt;/g;
      $description =~ s/</&amp;/g;

      $password =~ s/</&lt;/g;
      $password =~ s/</&gt;/g;
      $password =~ s/</&amp;/g;

      $login =~ s/</&lt;/g;
      $login =~ s/</&gt;/g;
      $login =~ s/</&amp;/g;

      if ($dstore ne $date) {
         print "<BR>FTP Site List for $date<BR><HR>\n";
         $dstore = $date;
      }

      $ln = length($description);
      if ($ln <= 1) {
         $description = "No Description Enetered";
      }

print <<ENDOFTEXT;
<html>
<head>
<title>Warez Site List</title>
</head>
<body bgcolor="#C0C0C0">
  <table border="0" width="800">
    <tr>
      <td width="100">$time </td>
ENDOFTEXT

if ($portnum eq "") {
   if ($login eq "") {
print <<ENDOFTEXT;
      <td width="700"><A HREF=\"ftp://$address$http_dir\">ftp://$address$disp_dir</A></td>
ENDOFTEXT
   } else {
print <<ENDOFTEXT;
      <td width="700"><A HREF=\"ftp://$login:$password\@$address$http_dir\">ftp://$address$disp_dir</A></td>
ENDOFTEXT
   }
} else {
   if ($login eq "") {
print <<ENDOFTEXT;
      <td width="700"><A HREF=\"ftp://$address:$portnum$http_dir\">ftp://$address$disp_dir</A></td>
ENDOFTEXT
   } else {
print <<ENDOFTEXT;
      <td width="700"><A HREF=\"ftp://$login:$password\@$address:$portnum$http_dir\">ftp://$address$disp_dir</A></td>
ENDOFTEXT
   }
}

print <<ENDOFTEXT;
    </tr>
    <tr>
      <td width="100"> </td>
      <td width="700">
ENDOFTEXT

      if ($portnum ne "") {
print <<ENDOFTEXT;
         Port=$portnum, 
ENDOFTEXT
      }

      if ($login ne "") {
print <<ENDOFTEXT;
        Login=$login, Password=$password, 
ENDOFTEXT
      }

print <<ENDOFTEXT;
        $description
      </td>
    </tr>
  </table>
</body>
</html>
ENDOFTEXT
   }

   # Close the document cleanly.
} else {
   print "Sorry, you have been banned from this site! Try again in a few million years you fuck!<BR>";
}
   print &HtmlBot;
}
